# PetscStrlen

Gets length of a string

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscStrlen(const char s[],size_t *len)

Not Collective

### Input Parameters

s -pointer to string

### Output Parameter

len -length in bytes

### Note

This routine is analogous to strlen().

Null string returns a length of zero

Level:intermediate
Location: src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages